## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check
%global debug_package %{nil}

%global crate wasmtime-jit

Name:           rust-wasmtime-jit
Version:        0.35.3
Release:        %autorelease
Summary:        JIT-style execution for WebAsssembly code in Cranelift

License:        Apache-2.0 WITH LLVM-exception
URL:            https://crates.io/crates/wasmtime-jit
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          wasmtime-jit-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * bump addr2line from 0.17 to 0.18
# * bump object from 0.27 to 0.29
Patch:          wasmtime-jit-fix-metadata.diff

# cranelift only supports x86_64, aarch64, and s390x
# * i686:    https://bugzilla.redhat.com/show_bug.cgi?id=1966344
# * armv7hl: https://bugzilla.redhat.com/show_bug.cgi?id=1966346
# * ppc64le: https://bugzilla.redhat.com/show_bug.cgi?id=1966347
ExclusiveArch:  x86_64 aarch64 s390x

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
JIT-style execution for WebAsssembly code in Cranelift.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+jitdump-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+jitdump-devel %{_description}

This package contains library source intended for building other packages which
use the "jitdump" feature of the "%{crate}" crate.

%files       -n %{name}+jitdump-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wasmtime-jit-debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasmtime-jit-debug-devel %{_description}

This package contains library source intended for building other packages which
use the "wasmtime-jit-debug" feature of the "%{crate}" crate.

%files       -n %{name}+wasmtime-jit-debug-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Aug 19 2022 Fabio Valentini <decathorpe@gmail.com> 0.35.3-2
- Bump addr2line from 0.17 to 0.18 and object from 0.27 to 0.29

* Wed Apr 13 2022 Fabio Valentini <decathorpe@gmail.com> 0.35.3-1
- Update to version 0.35.3; Fixes RHBZ#2075224

* Thu Mar 10 2022 Fabio Valentini <decathorpe@gmail.com> 0.33.0-1
- Initial import (#2051157)
